<div class="header pb-8 pt-5 pt-lg-8 d-flex align-items-center"
    style="min-height: 600px; background-image: url(assets/img/theme/profile-cover.jpg); background-size: cover; background-position: center top;">
    <span class="mask bg-gradient-danger opacity-8"></span>
    <div class="container-fluid d-flex align-items-center">
        <div class="row">
            <div class="col-lg-7 col-md-10">
            </div>
        </div>
    </div>
</div>
<div class="container-fluid mt--7" style="margin-top: -27rem !important;">
    <div class="row">
        <div class="col-xl-12 order-xl-2 mb-5 mb-xl-0" [ngStyle]="{'display': ToggleShowProfile}">
            <div class="col-xl-12 order-xl-2 mb-5 mb-xl-0">
                <div class="row tabMain">
                    <div class="col-xl-2 order-xl-2 tabRow" id="myProfileBtn">My Profile</div>
                    <div class="col-xl-2 order-xl-2 tabRow" id="myWalletBtn">My Wallet</div>
                    <div class="col-xl-2 order-xl-2 tabRow" id="kycBtn">KYC</div>
                    <div class="col-xl-2 order-xl-2 tabRow" id="referalBtn">Referal Dashboard</div>
                    <div class="col-xl-2 order-xl-2 tabRow" id="SupportBtn">Suport</div>
                    <div class="col-xl-2 order-xl-2 tabRow" id="BankInfoBtn">Bank Information</div>
                </div>
            </div>
            <div class="card card-profile shadow p-3" id="myProfileDiv">
                <div class="row">
                    <div class="col-lg-3 col-sm-12">
                        <div class="" style="width: 173px;height: 100%;">
                            <a href="javascript:void(0)">
                                <img style="width: 100%;height: 173px;"
                                    src="{{user_profile}}"
                                    class="rounded-circle">
                                <div class="text-center mt-3">

                                </div>
                            </a>
                        </div>
                    </div>
                    <div class="col-lg-8 col-sm-12 mt-3">
                        <div class="h3 font-weight-700">
                            <h3><i class="ni location_pin mr-2"></i><strong
                                    style="font-size: 23px;font-weight: 700;">{{fullname}}
                                </strong></h3>
                        </div>
                        <div class="h5 font-weight-600">
                            <i class="ni location_pin mr-2"></i><strong class="mr-2"
                                style="font-size: 15px;font-weight: 700;"><i class="fas fa-phone"></i>
                            </strong>
                            {{mobile}}
                        </div>
                        <div class="h5 font-weight-600" *ngIf="email">
                            <i class="ni location_pin mr-2"></i><strong class="mr-2"
                                style="font-size: 15px;font-weight: 700;"><i class="fas fa-envelope"></i>
                            </strong>
                            {{email}}
                        </div>
                    </div>
                </div>
                <hr class="my-4" />
                <div class="row">
                    <div class="col-lg-6 col-sm-12">
                        <h3>
                            <strong> <i class="fas fa-wallet"></i> Wallet</strong>: {{wallet |currency:"INR":"symbol"}}
                        </h3>
                    </div>
                    <div class="col-lg-6 col-sm-12">
                        <a class="btn btn-danger" [routerLink]="['/withdrawal']">
                            Withdraw
                        </a>
                    </div>
                </div>
            </div>
            <div class="card card-profile shadow p-3" id="kycDiv" style="display: none;">
                <div class="row d-flex justify-content-center">
                    <div class="col-lg-8 col-sm-12 mt-3">
                        <div class="row">
                            <div class="col-12">
                                <div class="card p-3">
                                    <div id="card-body">
                                        <div class="KycFirstPage" [ngStyle]="{'display': KycFirstPage}">
                                            <h2 class="text-center">Your KYC is not Completed Yet!</h2>
                                            <div class="text-center">
                                                <button class="btn btn-info" (click)="CompleteKycBtn()">Complete
                                                    Kyc</button>
                                            </div>
                                        </div>
                                        <div class="documentUpload" [ngStyle]="{'display': documentUploadDiv}">
                                            <div class="row">
                                                <div class="col-12 text-center">
                                                    <div class="col-12 text-center">
                                                        <h2 class="">Upload Documents</h2>
                                                    </div>
                                                </div>
                                                <div class="col-6">
                                                    <div class="aadarhcard">
                                                        <h4>Aadhar Card</h4>
                                                        <label for="aadarh_card">
                                                            <img src="{{aadhaar_card_image}}" width="100%" height="150"
                                                                alt="no image">
                                                        </label>
                                                        <input type="file" name="aadarh_card" id="aadarh_card"
                                                            (change)="uploadProfile($event.target.files,'aadhaar_card_image')"
                                                            style="visibility: hidden;">
                                                    </div>
                                                </div>
                                                <div class="col-6">
                                                    <div class="pancard">
                                                        <h4>Pan Card</h4>
                                                        <label for="pancard">
                                                            <img src="{{pancard_image}}" width="100%" height="150"
                                                                alt="no image">
                                                        </label>
                                                        <input type="file" name="pancard" id="pancard"
                                                            (change)="uploadProfile($event.target.files,'pancard_image')"
                                                            style="visibility: hidden;">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="UploadUserBank" [ngStyle]="{'display': UploadUserBankDiv}">
                                            <form [formGroup]="AddBankForm" (ngSubmit)="submitBankForm()">
                                                <h2 class="text-center">Add Bank Details</h2>
                                                <div class="form-group">
                                                    <label for="account_name">Account Name</label>
                                                    <input type="text" class="form-control" id="account_name"
                                                        name="account_name" formControlName="account_name">
                                                </div>
                                                <div class="form-group">
                                                    <label for="bank_name">Bank Name</label>
                                                    <input type="text" class="form-control" id="bank_name"
                                                        name="bank_name" formControlName="bank_name">
                                                </div>
                                                <div class="form-group">
                                                    <label for="account_number">Account Number</label>
                                                    <input type="number" class="form-control" id="account_number"
                                                        name="account_number" formControlName="account_number">
                                                </div>
                                                <div class="form-group">
                                                    <label for="ifsc_code">Ifsc Code</label>
                                                    <input type="text" class="form-control" id="ifsc_code"
                                                        name="ifsc_code" formControlName="ifsc_code">
                                                </div>
                                                <div class="text-center">
                                                    <button type="submit" class="btn btn-primary"
                                                        [disabled]="AddBankForm.invalid">Submit</button>
                                                </div>
                                            </form>
                                        </div>
                                        <div class="CompleteKyc" [ngStyle]="{'display': CompleteKycDiv}">
                                            <div class="text-center">
                                                <h2>KYC Has Been Completed</h2>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <hr class="my-4" />
                <div class="card-body pt-0 pt-md-4 mt-5">
                    <div class="row">
                        <div class="col">
                            <div class="card-profile-stats d-flex justify-content-center mt-md-5 mt-5">
                            </div>
                        </div>
                    </div>
                    <hr class="my-4" />
                </div>
            </div>
            <div class="card card-profile shadow p-3" id="myWalletDiv" style="display: none;">
                <div class="row">
                    <div class="col-lg-8 col-sm-12 mt-3">
                        <table class="table">
                            <tbody>
                                <tr>
                                    <td class="tableRowHeader">Total Investment</td>
                                    <td>{{total_investment | currency:"INR":"symbol"}}</td>
                                </tr>
                                <tr>
                                    <td class="tableRowHeader">Total Interest</td>
                                    <td>0</td>
                                </tr>
                                <tr>
                                    <td class="tableRowHeader">Earned Commision</td>
                                    <td>0</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="col-12">
                        <div class="mt-3">
                            <button class="btn btn-danger">Add Money</button>
                            <a class="btn btn-danger" [routerLink]="['/withdrawal']">WithDraw</a>
                        </div>
                    </div>
                </div>
                <hr class="my-4" />
                <div class="card-body pt-0 pt-md-4 mt-5">
                    <div class="row">
                        <div class="col">
                            <div class="card-profile-stats d-flex justify-content-center mt-md-5 mt-5">

                            </div>
                        </div>
                    </div>
                    <hr class="my-4" />
                </div>
            </div>
            <div class="card card-profile shadow p-3" id="referalDiv" style="display: none;">
                <div class="row">
                    <div class="col-12">
                        <h2 class="text-center">Referal User Data</h2>
                        <table class="table" *ngIf="referalData && referalData.length > 0;else NoReferalData">
                            <thead class="thead-light">
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">User Name</th>
                                    <th scope="col">Mobile</th>
                                    <th scope="col">Total Amount</th>
                                    <th scope="col">Total Commission</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr *ngFor="let rdata of referalData">
                                    <th scope="row">1</th>
                                    <td>{{rdata.fullname}}</td>
                                    <td>{{rdata.mobile}}</td>
                                    <td>{{rdata.total_amount | currency:"INR":"symbol"}}</td>
                                    <td>{{rdata.total_comission | currency:"INR":"symbol"}}</td>
                                </tr>
                            </tbody>
                        </table>
                        <ng-template #NoReferalData>
                            Empty
                        </ng-template>
                        <div class="text-center mt-3">
                            <button type="button" class="btn btn-danger" data-toggle="modal"
                                data-target="#becameAnAgent">
                                Became An Agent
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card card-profile shadow p-3" id="SupportDiv" style="display: none;">
                <div class="row">
                    <div class="col-12">
                        <div class="ticketList">
                            <h2 class="text-center">Support/Tickets</h2>
                            <p class="d-flex justify-content-end"><button class="btn btn-danger" data-toggle="modal"
                                    data-target="#AddNewTiketId">Add Ticket</button></p>

                            <table class="table" *ngIf="TicketsList && TicketsList.length > 0;else ticketListTemplate">
                                <thead>
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">Ticket Title</th>
                                        <th scope="col">Status</th>
                                        <th scope="col">Subject</th>
                                        <th scope="col">Created Date</th>
                                        <th scope="col">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr *ngFor="let ticket of TicketsList">
                                        <th scope="row">{{ticket.id}}</th>
                                        <td>{{ticket.title}}</td>
                                        <td>{{ticket.status}}</td>
                                        <td>{{ticket.subject}}</td>
                                        <td>{{ticket.date}}</td>
                                        <td>
                                            <button class="btn btn-info"
                                                (click)="AddCommentFunc(ticket.ticket_id)">Reply</button>
                                    </tr>
                                </tbody>
                            </table>
                            <ng-template #ticketListTemplate>
                                No ticket Found
                            </ng-template>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card card-profile shadow p-3" id="BankInfoDiv" style="display: none;">
                <div class="row">
                    <div class="col-12">
                        <div class="ticketList">
                            <h2 class="text-center">Bank Information</h2>
                            <p class="d-flex justify-content-end"><button class="btn btn-danger" data-toggle="modal"
                                    data-target="#AddNewbankId">Add Bank Info</button></p>
                            <div class="table-responsive">


                                <table class="table">
                                    <thead class="thead-light">
                                        <tr>
                                            <th scope="col">Sr. No.</th>
                                            <th scope="col">Account Name</th>
                                            <th scope="col">Bank Name</th>
                                            <th scope="col">Account Number</th>
                                            <th scope="col">IFSC Code</th>
                                            <th scope="col">UPI</th>
                                            <th scope="col">Date</th>
                                            <th scope="col">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody *ngIf="bankrecords == 0;else elseBlock">
                                        <tr>
                                            <td></td>
                                            <td>No Bank Record Found</td>
                                            <td></td>
                                        </tr>
                                    </tbody>
                                    <ng-template #elseBlock>
                                        <tbody *ngFor="let bank of bankdata">
                                            <tr>
                                                <td>{{bank.index}}</td>
                                                <td>{{bank.account_name}}</td>
                                                <td>{{bank.bank_name}}</td>
                                                <td>{{bank.account_number}}</td>
                                                <td>
                                                    {{bank.ifsc_code}}
                                                </td>
                                                <td>{{bank.upi}}</td>
                                                <td>{{bank.date}}</td>
                                                <td><a href="javascript:void(0);"><i
                                                            style="font-size: 22px;border: 1px solid;border-radius: 12px;"
                                                            class="ni ni-fat-remove"
                                                            (click)="removeBank(bank.bank_id)"></i></a>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </ng-template>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<button class="btn btn-info" id="openCommentBox" data-toggle="modal" data-target="#addComments"
    style="display: none;">Open Comment Box</button>
<div class="modal fade" id="addComments" data-backdrop="static" data-keyboard="false" tabindex="-1"
    aria-labelledby="addCommentsLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addCommentsLabel">Ticket</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="container text-center">
                    <h5 class="text-primary">{{ticket_title}}</h5>
                    <p class="">
                        {{ticket_description}}
                    </p>
                </div>
                <div class="previousComment">
                    <div class="info mt-3">
                        <div class="messages" *ngFor="let comment of userComments">
                            <p class="d-flex"
                                [ngClass]="[comment.user_id=='0' ? 'justify-content-start' : 'justify-content-end']">
                                <span [ngClass]="[comment.user_id=='0' ? 'admin-msg' : 'user-msg']">{{comment.comments}}
                                    <i class="msgtime d-flex justify-content-end">{{comment.date_time}}</i>
                                </span>
                            </p>
                        </div>
                    </div>
                </div>
                <form [formGroup]="AddCommentData" (ngSubmit)="AddCommentForm()">
                    <input type="hidden" name="ticket_id" formControlName="ticket_id">
                    <div class="form-group">
                        <label for="comment">Your Comment</label>
                        <textarea style="width: 100%;" rows="3" class="form-control" id="comment"
                            formControlName="comment"></textarea>
                    </div>
                    <div class="form-group">
                        <button type="submit" [disabled]="AddCommentData.invalid" class="btn btn-primary">Add
                            Comment</button>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>



<!-- Modal -->
<!-- became An Agent Modal -->
<div class="modal fade" id="becameAnAgent" data-backdrop="static" data-keyboard="false" tabindex="-1"
    aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="modal-title" id="staticBackdropLabel">Became An Agent</h3>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="AgentMessage" [ngStyle]="{display: AgentRequestMessageDiv}">
                    <h2 class="text-center" *ngIf="AgentRequestMessage">{{AgentRequestMessage}}</h2>

                </div>
                <div class="AgentForm" [ngStyle]="{display :AgentRequestFormDiv}">
                    <form [formGroup]="BecameAnAgent" (ngSubmit)="BecameAnAgentFormSubmit()">

                        <div class="form-group">
                            <label for="fullname">Full Name</label>
                            <p class="text-center text-danger h4"><span
                                    *ngIf="AgentfullnameField && AgentfullnameField.invalid && AgentfullnameField.touched">Invalid
                                    Fullname</span></p>
                            <input type="text" class="form-control" id="fullname" name="fullname"
                                formControlName="fullname">
                        </div>
                        <div class="form-group">
                            <label for="occupation">Occupation</label>
                            <select class="form-control" name="occupation" id="occupation" formControlName="occupation">
                                <option value="business">Business</option>
                                <option value="salaried">Salaried</option>
                                <option value="government_employee">Government Employees</option>
                                <option value="self_employee">Self Employees</option>
                            </select>
                        </div>
                        <div class="form-group" [ngStyle]="{display: mobile_main_filed}">
                            <label for="additional_mobile_number">Additional Mobile Number</label>
                            <p class="text-center text-danger h4"><span
                                    *ngIf="AgentAdditionMobileField && AgentAdditionMobileField.invalid && AgentAdditionMobileField.touched">Invalid
                                    Mobile Number</span></p>
                            <p class="text-center text-danger h4" *ngIf="ErrorMobileNumber">{{ErrorMobileNumber}}</p>
                            <input type="number" class="form-control" id="additional_mobile_number"
                                name="additional_mobile_number" formControlName="additional_mobile_number">
                            <div class="d-flex justify-content-end mt-1"
                                *ngIf="AgentAdditionMobileField && AgentAdditionMobileField.valid"><button
                                    class="btn btn-primary" type="button" [disabled]="SendMobileOtp"
                                    (click)="sendOtp('mobile')">Send OTP</button></div>
                        </div>
                        <div class="form-group" [ngStyle]="{display: mobile_otp}">
                            <label for="mobile_otp">Mobile OTP</label>
                            <p class="text-center text-danger h4" *ngIf="ErrorOtpMessage">{{ErrorOtpMessage}}</p>
                            <input type="number" class="form-control" id="mobile_otp" name="mobile_otp">
                            <div class="d-flex justify-content-end mt-1"><button class="btn btn-danger" type="button"
                                    [disabled]="SendMobileOtp" (click)="VerifyOtp('mobile')">Verify OTP</button></div>
                        </div>
                        <div class="form-group" [ngStyle]="{display: email_main_filed}">
                            <label for="email">Email</label>
                            <input type="email" class="form-control" id="email_address_agent" name="email"
                                formControlName="email">
                            <div class="d-flex justify-content-end mt-1"><button class="btn btn-danger" type="button"
                                    [disabled]="SendEmailOtp" (click)="sendOtp('email')">Send OTP</button></div>
                        </div>
                        <div class="form-group" [ngStyle]="{display: email_otp}">
                            <label for="email_otp">Email OTP</label>
                            <p class="text-center text-danger h4" *ngIf="ErrorEmailOtpMessage">{{ErrorEmailOtpMessage}}
                            </p>
                            <input type="number" class="form-control" id="email_otp" name="email_otp">
                            <div class="d-flex justify-content-end mt-1"><button class="btn btn-danger" type="button"
                                    [disabled]="SendEmailOtp" (click)="VerifyOtp('email')">Verify OTP</button></div>
                        </div>

                        <button type="submit" [disabled]="BecameAnAgent.invalid"
                            class="btn btn-primary btn-block">Submit</button>
                    </form>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>


<!-- Add Ticket Modal -->
<div class="modal fade" id="AddNewTiketId" data-backdrop="static" data-keyboard="false" tabindex="-1"
    aria-labelledby="AddNewTiketIdLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="modal-title" id="AddNewTiketIdLabel">Add New Ticket</h3>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="add_ticket">
                    <h3 class="text-center text-warning" *ngIf="AddNewTicketMsg">{{AddNewTicketMsg}}</h3>
                    <form [formGroup]="AddNewTicket" (ngSubmit)="AddNewTicketForm()">
                        <div class="form-group">
                            <label for="title">Ticket Title</label>
                            <input type="text" class="form-control" id="title" formControlName="title">
                        </div>
                        <div class="form-group">
                            <label for="subject">Ticket Subject</label>
                            <input type="text" class="form-control" id="subject" formControlName="subject">
                        </div>
                        <div class="form-group">
                            <label for="description">Ticket Description</label>
                            <textarea style="width: 100%;" rows="3" class="form-control" id="description"
                                formControlName="description"></textarea>
                        </div>
                        <button [disabled]="AddNewTicket.invalid" class="btn btn-primary">Submit</button>
                    </form>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

<!-- AddNewbankId -->
<div class="modal fade" id="AddNewbankId" data-backdrop="static" data-keyboard="false" tabindex="-1"
    aria-labelledby="AddNewbankIdLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="modal-title" id="AddNewbankIdLabel">Add New Bank</h3>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="addbankform">
                    <form [formGroup]="AddBankForm" (ngSubmit)="submitBankForm()">
                        <h6 class="heading-small text-muted mb-4">Bank Information</h6>
                        <div class="pl-lg-4">
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="form-control-label" for="account_name">Account Name</label>
                                        <input type="text" id="account_name"
                                            class="form-control form-control-alternative" placeholder="Account Name"
                                            name="account_name" formControlName="account_name">
                                        <span class="text-danger"
                                            *ngIf="GetAccountName && GetAccountName.invalid && GetAccountName.touched">Invalid
                                            Account Number</span>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="form-control-label" for="bank_name">Bank Name</label>
                                        <input type="text" id="bank_name" class="form-control form-control-alternative"
                                            placeholder="Bank Name" name="bank_name" formControlName="bank_name">
                                        <span class="text-danger"
                                            *ngIf="GetBank_name && GetBank_name.invalid && GetBank_name.touched">Invalid
                                            Bank Name</span>

                                    </div>
                                </div>

                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="form-control-label" for="account_number">Account Number</label>
                                        <input type="text" id="account_number"
                                            class="form-control form-control-alternative" placeholder="Account Number"
                                            name="account_number" formControlName="account_number">
                                        <span class="text-danger"
                                            *ngIf="GetAccount_number && GetAccount_number.invalid && GetAccount_number.touched">Invalid
                                            Account Number</span>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="form-control-label" for="re_account_number">Re-Enter Account
                                            Number</label>
                                        <input type="text" id="re_account_number"
                                            class="form-control form-control-alternative"
                                            placeholder="Re Enter Account Number" name="re_account_number"
                                            formControlName="re_account_number">
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="form-control-label" for="ifsc_code">IFSC Code</label>
                                        <input type="text" id="ifsc_code" class="form-control form-control-alternative"
                                            placeholder="IFSC Code" name="ifsc_code" formControlName="ifsc_code">
                                        <span class="text-danger"
                                            *ngIf="GetIfsc_code && GetIfsc_code.invalid && GetIfsc_code.touched">Invalid
                                            IFSC CODE</span>
                                    </div>
                                </div>

                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="form-control-label" for="upi">UPI ID </label>
                                        <input type="text" id="upi" class="form-control form-control-alternative"
                                            placeholder="UPI ID" name="upi" formControlName="upi">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="container text-center"><button class="btn btn-danger" type="submit"
                                [disabled]="AddBankForm.invalid">Add
                                Banks</button></div>
                        <hr class="my-4" />
                    </form>
                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>